<template>
  <div class="basic-info">
    <el-form ref="demoFormRef" :disabled="disabled" :model="projectFromForm" class="dialog_form">
      <el-form-item label="依据说明" label-width="120px" prop="projectFromWhere" style="width: 100%">
        <el-input type="textarea" v-model="projectFromForm.projectFromWhere" style="width: 100%"
                  placeholder="请输入"/>
      </el-form-item>
      <el-form-item label="依据附件" label-width="120px" prop="projectFromFile" style="width: 100%">
        <file-upload :limit="5" :file-size="100" @input="getUploadResult" />
      </el-form-item>
    </el-form>
  </div>
</template>

<script>

import FileUpload from "@/components/FileUpload"

export default {
  name: 'ProjectForm',
  components: {FileUpload},
  props: {
    disabled: {
      type: Boolean,
      default: false,
      required: true
    },
  },
  data() {
    return {
      projectFromForm: {
        projectFromWhere: '',
        projectFromFile: '',
      },
    }
  },
  mounted() {


  },
  beforeDestroy() {

  },
  methods: {
    getUploadResult(fileList) {
      console.log("上传结果", fileList)
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
